import { CoDirection } from "../../core/enum/co-direction";
import { CoOrientation } from "../../core/enum/co-orientation";
import { CoreComponentsIcon } from "../../core/enum/core-components-icon.enum";
export declare class IconCollapseHandleComponent {
    showClass(): boolean;
    orientation: CoOrientation;
    set arrowDirection(arrowDirection: CoDirection);
    get arrowDirection(): CoDirection;
    twoArrows: boolean;
    get isVertical(): boolean;
    get arrowsOrientatedHorizontally(): boolean;
    get oppositeArrowDirection(): CoDirection;
    readonly iconColorClass: string;
    hidden: boolean;
    required: boolean;
    readonly: boolean;
    readonly Icons: typeof CoreComponentsIcon;
    private _arrowDirection;
    private _oppositeArrowDirection;
    constructor();
}
